Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 707598 - dev-util/valgrind-3.15.0 : fails to build with -fno-common or gcc-10
Summary: dev-util/valgrind-3.15.0 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Anthony Basile
URL: https://sourceware.org/git/?p=valgrin...
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-31 17:34 UTC by Toralf Förster
Modified: 2020-10-29 12:37 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,16.14 KB, text/plain)
2020-01-31 17:34 UTC, Toralf Förster
Details
dev-util:valgrind-3.15.0:20200131-013801.log (dev-util:valgrind-3.15.0:20200131-013801.log,871.27 KB, text/plain)
2020-01-31 17:34 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,180.80 KB, text/plain)
2020-01-31 17:34 UTC, Toralf Förster
Details
environment (environment,105.47 KB, text/plain)
2020-01-31 17:34 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,19.26 KB, application/x-bzip)
2020-01-31 17:34 UTC, Toralf Förster
Details
logs.tbz2 (logs.tbz2,16.36 KB, application/x-bzip)
2020-01-31 17:34 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,55.97 KB, application/x-bzip)
2020-01-31 17:34 UTC, Toralf Förster
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-31 17:34:25 UTC
x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I../..  -I../.. -I../../include -I../../coregrind -I../../include -I../../VEX/pub -I../../VEX/pub -DVGA_amd64=1 -DVGO_linux=1 -DVGP_amd64_linux=1 -DVGPV_amd64_linux_vanilla=1 -DVGA_SEC_x86=1 -DVGP_SEC_amd64_linux=1   -Winline -Wall -Wshadow -Wno-long-long -g -fno-stack-protector   -m64  -O2 -pipe -march=native -fno-common -c -o libvex_test-libvex_test.o `test -f 'libvex_test.c' || echo './'`libvex_test.c
x86_64-pc-linux-gnu-gcc -Winline -Wall -Wshadow -Wno-long-long -g -fno-stack-protector   -m64  -O2 -pipe -march=native -fno-common  -Wl,-O1 -Wl,--as-needed -o libvex_test libvex_test-libvex_test.o ../../VEX/libvex-amd64-linux.a  
x86_64-pc-linux-gnu-gcc -DHAVE_CONFIG_H -I. -I../..  -I../.. -I../../include -I../../coregrind -I../../include -I../../VEX/pub -I../../VEX/pub -DVGA_amd64=1 -DVGO_linux=1 -DVGP_amd64_linux=1 -DVGPV_amd64_linux_vanilla=1 -DVGA_SEC_x86=1 -DVGP_SEC_amd64_linux=1   -Winline -Wall -Wshadow -Wno-long-long -g -fno-stack-protector   -m64  -O2 -pipe -march=native -fno-common -c -o libvexmultiarch_test-libvex_test.o `test -f 'libvex_test.c' || echo './'`libvex_test.c
x86_64-pc-linux-gnu-gcc -Winline -Wall -Wshadow -Wno-long-long -g -fno-stack-protector   -m64  -O2 -pipe -march=native -fno-common  -Wl,-O1 -Wl,--as-needed -o libvexmultiarch_test libvexmultiarch_test-libvex_test.o ../../VEX/libvexmultiarch-amd64-linux.a ../../VEX/libvex-amd64-linux.a  
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: ../../VEX/libvex-amd64-linux.a(libvex_amd64_linux_a-guest_s390_helpers.o):/var/tmp/portage/dev-util/valgrind-3.15.0/work/valgrind-3.15.0/VEX/priv/guest_s390_defs.h:289: multiple definition of `s390x_vec_op_t'; ../../VEX/libvexmultiarch-amd64-linux.a(libvexmultiarch_amd64_linux_a-multiarch_main_main.o):/var/tmp/portage/dev-util/valgrind-3.15.0/work/valgrind-3.15.0/VEX/priv/guest_s390_defs.h:289: first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: ../../VEX/libvex-amd64-linux.a(libvex_amd64_linux_a-guest_s390_toIR.o):/var/tmp/portage/dev-util/valgrind-3.15.0/work/valgrind-3.15.0/VEX/priv/guest_s390_defs.h:289: multiple definition of `s390x_vec_op_t'; ../../VEX/libvexmultiarch-amd64-linux.a(libvexmultiarch_amd64_linux_a-multiarch_main_main.o):/var/tmp/portage/dev-util/valgrind-3.15.0/work/valgrind-3.15.0/VEX/priv/guest_s390_defs.h:289: first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_hardened-libressl_test-20200126-104546

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *

clang:
clang version 9.0.1 
Target: x86_64-pc-linux-gnu
Thread model: posix
InstalledDir: /usr/lib/llvm/9/bin
llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.8
  [2]   python3.7
  [3]   python3.6
  [4]   python2.7 (fallback)
  [5]   pypy3 (fallback)

Available Rust versions:
  [1]   rust-1.40.0 *
java-config:
The following VMs are available for generation-2:
*)	AdoptOpenJDK JRE 8.242_p08 [openjdk-jre-bin-8]
Available Java Virtual Machines:
  [1]   openjdk-jre-bin-8  system-vm
ghc:
The Glorious Glasgow Haskell Compilation System, version 8.0.2

repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Fri, 31 Jan 2020 00:46:52 +0000

emerge -qpvO dev-util/valgrind
[ebuild  N    ] dev-util/valgrind-3.15.0  USE="-mpi"
Comment 1 Toralf Förster gentoo-dev 2020-01-31 17:34:27 UTC
Created attachment 609572 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-31 17:34:31 UTC
Created attachment 609574 [details]
dev-util:valgrind-3.15.0:20200131-013801.log
Comment 3 Toralf Förster gentoo-dev 2020-01-31 17:34:33 UTC
Created attachment 609576 [details]
emerge-history.txt
Comment 4 Toralf Förster gentoo-dev 2020-01-31 17:34:36 UTC
Created attachment 609578 [details]
environment
Comment 5 Toralf Förster gentoo-dev 2020-01-31 17:34:39 UTC
Created attachment 609580 [details]
etc.portage.tbz2
Comment 6 Toralf Förster gentoo-dev 2020-01-31 17:34:42 UTC
Created attachment 609582 [details]
logs.tbz2
Comment 7 Toralf Förster gentoo-dev 2020-01-31 17:34:44 UTC
Created attachment 609584 [details]
temp.tbz2
Comment 8 Sergei Trofimovich gentoo-dev 2020-01-31 23:00:40 UTC
Should be fixed by upstream commit https://sourceware.org/git/?p=valgrind.git;a=commitdiff;h=fe6805efc1b6db0cfa5f1cd5fb1854775cbfa31a
Comment 9 Larry the Git Cow gentoo-dev 2020-10-29 12:37:54 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=80232414dd11167b8aa4760bc2dce13a365cf2cf

commit 80232414dd11167b8aa4760bc2dce13a365cf2cf
Author:     David Seifert <soap@gentoo.org>
AuthorDate: 2020-10-29 12:37:29 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2020-10-29 12:37:29 +0000

    dev-util/valgrind: Remove old
    
    Closes: https://bugs.gentoo.org/707598
    Package-Manager: Portage-3.0.8, Repoman-3.0.2
    Signed-off-by: David Seifert <soap@gentoo.org>

 dev-util/valgrind/Manifest               |   3 -
 dev-util/valgrind/valgrind-3.14.0.ebuild | 118 ------------------------------
 dev-util/valgrind/valgrind-3.15.0.ebuild | 120 -------------------------------
 dev-util/valgrind/valgrind-3.16.0.ebuild | 120 -------------------------------
 4 files changed, 361 deletions(-)